/**
 *  Copyright (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  Licensed under the GPL, Version 3.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *       http://www.gnu.org/licenses/gpl.html
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * --------------------------------------------------------------------------
 *  版权 (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  本开源软件遵循 GPL 3.0 协议;
 *  如果您不遵循此协议，则不被允许使用此文件。
 *  你可以从下面的地址获取完整的协议文本
 *
 *       http://www.gnu.org/licenses/gpl.html
 */
/*
 * 系统名称: JRES 应用快速开发企业套件
 * 模块名称: JRES内核
 * 文件名称: AssamblePluginStatus.java
 * 软件版权: 恒生电子股份有限公司
 * 修改记录:
 * 修改日期            修改人员                     修改说明 <br>
 * ========    =======  ============================================
 * 
 * ========    =======  ============================================
 */ 

package org.tinygroup.plugin.impl;

import org.tinygroup.plugin.PluginManager;
import org.tinygroup.plugin.PluginStatus;

/**
 * 功能说明: 
 * <p> 系统版本: v1.0<br>
 * 开发人员: renhui <br>
 * 开发时间: 2012-9-19 <br>
 * 功能描述: 写明作用，调用方式，使用场景，以及特殊情况<br>
 */
public class AssemblePluginStatus implements PluginStatus
{
	
	private String status="assemble";
	private PluginManager manager;

	/* (non-Javadoc)
	 * @see org.tinygroup.plugin.PluginStatus#actionStatus(org.tinygroup.plugin.PluginManager)
	 */
	public void actionStatus(PluginManager manager)
	{
		this.manager=manager;

	}

	/* (non-Javadoc)
	 * @see org.tinygroup.plugin.PluginStatus#getStatus()
	 */
	public String getStatus()
	{
		return status;
	}

}
